using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Core;

[ComImport]
[Guid("49D496B1-A97B-4545-8968-C4DDEBE04526")]
[SuppressUnmanagedCodeSecurity]
[InterfaceType(1)]
public interface IDecalWindowsMessageSink
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	bool WindowMessage(int HWND, short uMsg, int wParam, int lParam);
}
